# KDE User's Manual

Thomas
Friedrichsmeier
RKWard man page.

    rkward-devel@kde.org

2015-12-07
K Desktop Environment
rkward
1

# `rkward`

A &kde; frontend to R

    rkward
    --evaluate  Rcode
    --debug-level  level
    --debug-flags  flags
    --debugger debugger_commanddebugger_args--
    --backend-debugger  debugger_command
    --r-executable  path_to_executable
    --reuse
    --nowarn-external
    KDE Generic Options
    Qt Generic Options
    files_to_open

## Description

&rkward; is the a &kde;-based GUI and IDE for the &R; scripting language for statistical computing.

For more information, please refer to the &rkward; website, and the documentation provided inside &rkward;.

## Options

`--evaluate` Rcode

  The given &R; code is evaluated after &rkward; has started, and after any specified workspace is loaded. Mostly useful for automated testing.

`--debug-level` level

  Verbosity of debug output. 0-5, where 0 is no output, 5 is all output including function trace information. Default it 2.

`--debug-flags` flags

  Allows to configure, which sections of code to debug. Flags are given as a binary number. Refer to the source files for documentation, as this really is an internal option.

`--debugger` command [arguments [--]]

  Run &rkward; through the specified debugger command. All arguments following this will be passed to the debugger command. To end debugger arguments (and add arguments to pass to &rkward;), use "--". NOTE: Only the frontend process will be debugged, using this option.

  Note that there are a number of pitfalls that may complicate setting up the debugger session as desired. Consider starting &rkward; with option \-\-debug-lebel 3, which will print the effective command line used to start the frontend (but not all relevant environment variables). As one hint, you will generally need to pass a separator argument with the debugger arguments, e.g. `rkward --debugger gdb --args`. Under Windows, the debugger command will not be connected to stdin. For interactive debugging, consider using a graphical debugger.

`--backend-debugger` command

  Run the &rkward; backend through the specified debugger command. To add command line options to the debugger command, enclose them in single quotes ('') together with the command. NOTE: Debugger arguments will be split by spaces. If this is not appropriate, you will have to write your own wrapper script for invoking the debugger. Also, make sure to redirect all debugger output and/or input as appropriate. See the examples.

`--r-executable` command

  In the case of several R installations, specify the installation to use, e.g. /usr/bin/R. Note that the rkward R library must have been installed to this installation of R, or startup will fail.

`--reuse`

  If an instance of RKWard is already running, bring that to the front, and open files_to_open. Note that all other command line options will be ignored in case an instance is reused.

`--nowarn-external`

  Usually, when invoking RKWard plugins from the command line (i.e. when files_to_open contains urls of the form rkward://runplugin/...), RKWard will show a warning that such urls could be used to trigger malicious actions on your system. This warning applies specifically to links found on untrusted websites, or other untrusted external sources. If you want to script RKWard locally, you can avoid this warning by adding --nowarn-external to the command line.

files_to_open

  You can specify any number of file names or urls for RKWard to open. Usually this will be either workspace files, workplace files, R script files, or rkward://-urls (e.g. for starting with a plugin dialog). Specifying more than one workspace file will lead to the workspaces being merged together, and is not recommended.

## See Also

R 1

## Examples

    # Start with the t-test dialog
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Open two script files in a running instance of RKWard (or in a fresh instance, if RKWard is not running)
    rkward --reuse file_a.R file_b.R

    # Run the rkward backend through valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'.
    # Debug the frontend through gdb
    rkward --debugger 'gdb --args'

## Authors

&rkward; was written by Thomas Friedrichsmeier and the &rkward; team. See the &rkward; website.